Subject: Re: udp checksum issue in netpoll mode.

From: Stephen Hemminger <[email-masked]>
Date: Thu, 12 Apr 2007 07:49:47 -0700

Aubrey Li wrote:
> I think we discussed this issue before.
>
> The current checksum function doesn't consider the kind of packet
> which is padded to reach a specific minimum length. I believe that's
> the problem caused my test case failed. Is this issue fixed? Or is it
> acceptable if I make a patch not calculating this kind of packet?
>
> Thanks,
> -Aubrey
The caller should be trimming the packet and updating the hardware checksum
value (like the normal UDP path).